module Vhcs
  class HlrxCrosRef < VhcsRecord

    self.table_name = 'HLRXCrosRef'

    alias_attribute :group_no, :GroupNo
    alias_attribute :rx_group_id, :RXGroupID
    alias_attribute :help_desk, :HelpDesk
    alias_attribute :customer_service, :CustomerService
    alias_attribute :web_url, :WebUrl
    alias_attribute :pl_plan_key, :PLPlanKey

  def attributes
    rails_like = {
        group_no: self.group_no,
        rx_group_id: self.rx_group_id,
        help_desk: self.help_desk,
        customer_service: self.customer_service,
        web_url: self.web_url,
        pl_plan_key: self.pl_plan_key,
    }
    super.merge(rails_like)
  end


  end
end